﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TreeViewAdvMultiColumnSupportTesting
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            treeViewAdv.Loaded += new RoutedEventHandler(treeViewAdv_Loaded);
        }

        private void treeViewAdv_Loaded(object sender, RoutedEventArgs e)
        {
            if (treeViewAdv.MultiColumnEnable)
            {

                for (int i = 0; i < treeViewAdv.Items.Count; i++)
                {
                    TreeViewItemAdv item = treeViewAdv.Items[i] as TreeViewItemAdv;
                    if (i % 2 == 0)
                    {
                        item.Background = (Brush)(new BrushConverter().ConvertFrom("#FFFFB6C1"));
                    }
                    else
                        item.Background = (Brush)(new BrushConverter().ConvertFrom("#FFF0FFFF"));
                }
            }
        }
    }
}
